#!/usr/bin/env python

import MCMClass_c as Mcm
import json

# Enter the desired firing rate (see that you have the input parameters for this firing rate) and change numIter
# accordingly so that you have around 5000 spikes with 60 second simulations, ie. 3*60*x ~= 5000, here x would be 28
desMfr = 3
numIter = 28
desStd = 4

synapse = False

# Loading the input parameters
filenam = "./Parameters/" + str(desStd) + "SomaStd" + str(desMfr) + "Hz.json"
fid = open(filenam, "r")
tempJsonVar = json.load(fid)
fid.close()

Erest = tempJsonVar["Erest"]
Rin = tempJsonVar["Rin"]
stdVal = tempJsonVar["stdVal"]
somaStd = tempJsonVar["somaStd"]
offset = tempJsonVar["offset"]

# Running the simulations
Mcm.realmain(numIter, offset,  stdVal, desMfr, Erest, synapse)
